aboutsummaryrefslogtreecommitdiffstats
path: root/package
diff options
context:
space:
mode:
authorJonas Gorski <jogo@openwrt.org>2013-03-27 12:39:42 +0000
committerJonas Gorski <jogo@openwrt.org>2013-03-27 12:39:42 +0000
commit9bfa7f54b72e97a1ad9d696e388f4dcbff26b190 (patch)
tree9680968a10bdb9003dab60de2cbeee62520e996e /package
parente2a416671c18fe3ccd458d668c7b16bb9fda1fcf (diff)
downloadmaster-187ad058-9bfa7f54b72e97a1ad9d696e388f4dcbff26b190.tar.gz
master-187ad058-9bfa7f54b72e97a1ad9d696e388f4dcbff26b190.tar.bz2
master-187ad058-9bfa7f54b72e97a1ad9d696e388f4dcbff26b190.zip
base-files: firstboot: only ask for confirmation on TTY
Also allow '-y' to force the reset. git-svn-id: svn://svn.openwrt.org/openwrt/trunk@36133 3c298f89-4303-0410-b956-a3cf2f4a3e73
Diffstat (limited to 'package')
-rwxr-xr-xpackage/base-files/files/sbin/firstboot10
1 files changed, 6 insertions, 4 deletions
diff --git a/package/base-files/files/sbin/firstboot b/package/base-files/files/sbin/firstboot
index e7c0851ad0..06b64c3133 100755
--- a/package/base-files/files/sbin/firstboot
+++ b/package/base-files/files/sbin/firstboot
@@ -21,11 +21,13 @@ if [ "${0##*/}" = "firstboot" ]; then
if [ "$1" = "switch2jffs" ]; then
boot_run_hook switch2jffs
else
- local input
+ if [ -t 0 ] && [ "$1" != "-y" ]; then
+ local input
- echo -n "firstboot will erase all settings and remove any installed packages. Are you sure? [N/y]"
- read input
- [ "$input" = "y" ] || [ "$input" = "Y" ] || return 0
+ echo -n "firstboot will erase all settings and remove any installed packages. Are you sure? [N/y]"
+ read input
+ [ "$input" = "y" ] || [ "$input" = "Y" ] || return 0
+ fi
if [ -n "$jffs" ]; then
reset_has_fo=true